Bug 70009 - HostbasedAuthentication broken
Summary: HostbasedAuthentication broken
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssh   
(Show other bugs)
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67218 79579 CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2002-07-28 20:13 UTC by Christopher McCrory
Modified: 2007-04-18 16:44 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-04 15:22:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Christopher McCrory 2002-07-28 20:13:00 UTC
Description of Problem:


Version-Release number of selected component (if applicable):

3.4p1

How Reproducible:
always

Steps to Reproduce:
1. enable HostbasedAuthentication
2. add shost.equiv
3. populate /etc/ssh/ssh_known_hosts

Actual Results:

Errors

Expected Results:
Authinticate w/o passwd prompt

Additional Information:

Fix:

http://www.openbsd.org/cgi-bin/cvsweb/src/usr.bin/ssh/ssh-keysign.c.diff?r1=1.4&r2=1.5

Listserv thread:
http://www.mindrot.org/pipermail/openssh-unix-dev/2002-July/014249.html

Comment 1 Nalin Dahyabhai 2002-08-14 04:05:04 UTC
Incorporating into 3.4p1-2 and later.  Thanks!

Comment 2 Jay Turner 2002-08-29 12:49:20 UTC
Can you confirm this is indeed working as expected?

Comment 3 Tomas Mraz 2005-02-04 15:22:48 UTC
Should be fixed in the current releases.



Note You need to log in before you can comment on or make changes to this bug.